CocoaPods経由でSwiftのライブラリ導入してみる

研究用のiOSアプリを作る用事があったのでCocoaPodsを使いました.今回取り込むライブラリはSQLite3です.

 

github.com

 

CocoaPods インストール

$ [sudo] gem install cocoapods でインストールが失敗.Rubyのバージョンが2.2.2以上になってないと受け付けてくれないらしい.

$ brew update してから $ brew install ruby

 

$ gem environment でgem上でのrubyのバージョンが確認できます.

ぼくのは 2.3.1になってました.突破.

$sudo gem install cocoapods

 

Cocoapodsを使う

$ pod setup で使えるようにする準備をします.

しかしここでまたエラー.うがーー.

foxtrack.hatenablog.com

ここを参考にしました.ようやく使える.

 

MyApp.xcodeprojのある階層へ移動したら

$ pod init

Podfileというファイルが誕生します.これをテキストエディットにでも放り込んで編集開始.

 

最後に $pod install で当該のSQLiteライブラリがプロジェクト内にインポートされます.